%define upstream_name    Class-Accessor-Complex
%define upstream_version 1.100880

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Arrays, hashes, booleans, integers, sets and more
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::Accessor::Installer)
BuildRequires: perl(Data::Miscellany)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)

BuildArch: noarch


%description
This module generates accessors for your class in the same spirit as the
Class::Accessor manpage does. While the latter deals with accessors for
scalar values, this module provides accessor makers for arrays, hashes,
integers, booleans, sets and more.

As seen in the synopsis, you can chain calls to the accessor makers. Also,
because this module inherits from the Class::Accessor manpage, you can put
a call to one of its accessor makers at the end of the chain.

The accessor generators also generate documentation ready to be used with
the Pod::Generated manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.100.880-12.mga10
+ Revision: 2197840
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.100.880-11.mga9
+ Revision: 1802335
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.100.880-10.mga8
+ Revision: 1493515
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.100.880-9.mga7
+ Revision: 1266228
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.100.880-8.mga6
+ Revision: 1023844
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.880-7.mga6
+ Revision: 948782
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.100.880-6.mga5
+ Revision: 788416
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.880-5.mga5
+ Revision: 744375
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.880-4.mga5
+ Revision: 683876
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.880-3.mga4
+ Revision: 509968
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.880-2.mga3
+ Revision: 364213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 1.100.880-1.mga1
+ Revision: 42753
- mageia rebuild
- imported package perl-Class-Accessor-Complex

